Bug 161155 - [maintainer-update] please update math/levmar
Summary: [maintainer-update] please update math/levmar
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-30 12:20 UTC by Eijiro Shibusawa
Modified: 2011-10-23 10:10 UTC (History)
0 users

See Also:


Attachments
levmar_patch.txt (1.96 KB, text/plain)
2011-09-30 12:58 UTC, Eijiro Shibusawa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eijiro Shibusawa 2011-09-30 12:20:11 UTC
Attached patch includes the following modifications.
* The check for math/atlas shared libraries is updated.
* Explicit dependencies to BLAS/LAPACK libraries are removed.
* MAKE_JOBS_SAFE= yes is added.
Comment 1 Edwin Groothuis freebsd_committer 2011-09-30 12:20:26 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Brendan Fabeny freebsd_committer 2011-10-05 11:52:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-10-23 10:04:18 UTC
bf          2011-10-23 09:04:04 UTC

  FreeBSD ports repository

  Modified files:
    math/lapacke         Makefile 
    math/lapacke/files   patch-make.inc 
    math/levmar          Makefile 
    math/levmar/files    Makefile.demo 
  Added files:
    math/lapacke/files   patch-testing+Makefile 
  Log:
  correct linking and dependency tests; remove MAKE_ENV
  additions needed only on FreeBSD 6.* from math/levmar;
  patch a makefile of, and add an option to build profiling
  libraries to, math/lapacke; mark MAKE_JOBS_SAFE
  
  PR:             161154, 161155
  Submitted by:   E. Shibusawa (maintainer)
  
  Revision  Changes    Path
  1.3       +32 -17    ports/math/lapacke/Makefile
  1.2       +1 -1      ports/math/lapacke/files/patch-make.inc
  1.1       +16 -0     ports/math/lapacke/files/patch-testing+Makefile (new)
  1.5       +12 -12    ports/math/levmar/Makefile
  1.3       +1 -1      ports/math/levmar/files/Makefile.demo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Brendan Fabeny freebsd_committer 2011-10-23 10:07:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!